URL
https://opencores.org/ocsvn/ssbcc/ssbcc/trunk
Subversion Repositories ssbcc
[/] [ssbcc/] [trunk/] [core/] [9x8/] [peripherals/] [tb/] [interrupt/] [run] - Rev 12
Compare with Previous | Blame | View Log
#!/bin/bash
#
# Copyright 2015, Sinclair R.F., Inc.
NAME=interrupt
../../../../../ssbcc -q -P monitor_stack tb_${NAME}.9x8 || { echo "${NAME} compile failed" > /dev/stderr; exit 1; }
for INT_DELAY in 5 6 7 8 9 10 11 13 14 16 19 22 23; do
iverilog -D INT_DELAY=${INT_DELAY} -o tb tb.v tb_${NAME}.v \
|| { echo "${NAME} build failed" > /dev/stderr; exit 1; }
./tb > tb.out;
if ! cmp -s tb.out tb.good-${INT_DELAY}; then
echo "${NAME} failed on INT_DELAY=${INT_DELAY}" > /dev/stderr;
exit 1;
fi
done
echo "Passed: ${NAME}";
exit 0;